Bug 737509 - FIXED_IN_GIT: System hangs on sulogin (for emergency rescue shell) rather then go to a shell
Summary: FIXED_IN_GIT: System hangs on sulogin (for emergency rescue shell) rather the...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-12 11:28 UTC by Hans de Goede
Modified: 2011-09-30 18:53 UTC (History)
8 users (show)

Fixed In Version: systemd-36-3.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-30 18:53:21 UTC


Attachments (Terms of Use)

Description Hans de Goede 2011-09-12 11:28:53 UTC
Description of problem:
* I had a damaged FS which fsck could not repair
* systemd then was asking for a root password to enter what I think it
  called the emergency repair shell or some such
Problem 1:
  While doing this it did not tell plymouth to switch back to textmode
  (or it did but plymouth did not listen), so I never saw the rootprompt
* Booting without rhgb on the cmdline I get the sulogin prompt, enter the
  root password -> hang. Press CTRL+C sulogin again, enter the (correct)
  root password again -> hang again, and I could press CTRL+C again,
  which would redo from start.
Problem 2:
  sulogin to get to an emergency shell to manually repair a broken FS does
  not work (seems to hang).

Comment 1 Lennart Poettering 2011-09-21 18:04:50 UTC
I am pretty sure this is this fix:

http://cgit.freedesktop.org/systemd/commit/?id=cbe8269481a0272a51d72dc35a54a1fe20c93dfc

Will be in F16 soon.

Comment 2 Fedora Update System 2011-09-23 17:06:18 UTC
systemd-36-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/systemd-36-2.fc16

Comment 3 Fedora Update System 2011-09-24 20:48:59 UTC
Package systemd-36-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-36-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/systemd-36-2.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-09-30 18:52:35 UTC
systemd-36-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.